<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Classic Models Database Search</title>
</head>
<body>

<h1>Employee Database Search</h1>

<!-- Search by Employee's Name Form -->
<h2>Search by Employee's Number</h2>
<form action="handle_numberform.php" method="POST">
    <label for="employeeNumber">Employee Number:</label>
    <select id="employeeNumber" name="employeeNumber">
        <option value="">Select an Employee Number</option>
        
        <?php
       
        include('mysqli_connect.php');
        
        
        $query = "SELECT employeeNumber FROM employees ORDER BY employeeNumber ASC";
        $result = mysqli_query($dbc, $query);

       
        if (mysqli_num_rows($result) > 0) {
            
            while ($row = mysqli_fetch_assoc($result)) {
                echo "<option value=\"" . $row['employeeNumber'] . "\">" . $row['employeeNumber'] . "</option>";
            }
        } else {
            echo "<option value=\"\">No employees found</option>";
        }
        ?>
    </select><br><br>

   <button type="submit" name="search_by_number">Search</button>
</form>

<h3>Search Orders by Date Range</h3>
<form action="handle_dateform.php" method="POST">
    <!-- Dropdown for Year -->
    <label for="year">Year:</label>
    <select id="year" name="year" required>
        <option value="">Select Year</option>
        <?php
        // Get the current year
        $current_year = date("Y");

       
        for ($year = 2000; $year <= $current_year; $year++) {
            echo "<option value=\"$year\">$year</option>";
        }
        ?>
    </select><br><br>

    <!-- Dropdown for Month -->
    <label for="month">Month:</label>
    <select id="month" name="month" required>
        <option value="">Select Month</option>
        <?php
       
        for ($month = 1; $month <= 12; $month++) {
            echo "<option value=\"$month\">$month</option>";
        }
        ?>
    </select><br><br>

    <!-- Dropdown for Day -->
    <label for="day">Day:</label>
    <select id="day" name="day" required>
        <option value="">Select Day</option>
        <?php
      
        for ($day = 1; $day <= 31; $day++) {
            echo "<option value=\"$day\">$day</option>";
        }
        ?>
    </select><br><br>

    <button type="submit" name="search_by_date">Search Orders</button>
</form>


</body>
</html>